Bug 141727 - [patch] Upgrade mail/dovecot to 1.2.9
Summary: [patch] Upgrade mail/dovecot to 1.2.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wesley Shields
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-17 23:10 UTC by mike.jakubik
Modified: 2010-01-26 14:30 UTC (History)
0 users

See Also:


Attachments
file.diff (1.67 KB, patch)
2009-12-17 23:10 UTC, mike.jakubik
no flags Details | Diff
dovecot.diff (2.45 KB, patch)
2010-01-25 23:58 UTC, Yarema
no flags Details | Diff
dovecot-managesieve.diff (1.23 KB, patch)
2010-01-25 23:58 UTC, Yarema
no flags Details | Diff
dovecot-sieve.diff (1.76 KB, patch)
2010-01-25 23:58 UTC, Yarema
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mike.jakubik 2009-12-17 23:10:03 UTC
This patch updates dovecot to the latest version.

It also includes changes from pr 141726.

Thanks.
Comment 1 Edwin Groothuis freebsd_committer 2009-12-17 23:10:11 UTC
Maintainer of mail/dovecot,

Please note that PR ports/141727 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/141727

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2009-12-17 23:10:12 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 mike.jakubik 2009-12-17 23:16:07 UTC
Oops, wrong pr, thats 141446.

http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/141446
Comment 4 mike.jakubik 2009-12-17 23:26:05 UTC
I'm sorry but i did not notice the managesive patch in distinfo. This 
will break a compile that requires the managesieve functionality. I 
currently don't see a patch on dovecot's site for the version, but I'm 
guessing it will show up soon, at which time i can make the necessary 
update.

Thanks.
Comment 5 Wesley Shields freebsd_committer 2009-12-24 19:18:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

I'll take it.
Comment 6 mike.jakubik 2010-01-04 21:21:26 UTC
Here is an updated patch that includes the managesive patch.

diff -urN dovecot.orig/Makefile dovecot/Makefile
--- dovecot.orig/Makefile       2009-12-17 17:49:35.000000000 -0500
+++ dovecot/Makefile    2010-01-04 16:16:37.000000000 -0500
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=      dovecot
-PORTVERSION=   1.2.8
+PORTVERSION=   1.2.9
 CATEGORIES=    mail ipv6
 MASTER_SITES=  http://www.dovecot.org/releases/${DOVECOTVERSION}/ \
                http://www.rename-it.nl/dovecot/${DOVECOTVERSION}/
diff -urN dovecot.orig/distinfo dovecot/distinfo
--- dovecot.orig/distinfo       2009-12-17 17:49:35.000000000 -0500
+++ dovecot/distinfo    2010-01-04 16:19:22.000000000 -0500
@@ -1,6 +1,6 @@
-MD5 (dovecot-1.2.8.tar.gz) = c6d6c061413d299ccea7b55c3e4faa0a
-SHA256 (dovecot-1.2.8.tar.gz) = 
145c5dd8519d526c4bc2c1b4d6b5eeb09ba000f57fe5e16af1f72a73acc788c7
-SIZE (dovecot-1.2.8.tar.gz) = 2702887
-MD5 (dovecot-1.2.8-managesieve-0.11.9.diff.gz) = 
4e3d658b2040f1319e7ec5f389aa94ff
-SHA256 (dovecot-1.2.8-managesieve-0.11.9.diff.gz) = 
740e3174022c9902577a6184ec2f237dda58208818ca49382e79553d7a2614eb
-SIZE (dovecot-1.2.8-managesieve-0.11.9.diff.gz) = 6298
+MD5 (dovecot-1.2.9.tar.gz) = 036ff97fb248dae3bd4b796a0644634f
+SHA256 (dovecot-1.2.9.tar.gz) = 
b4661e2e839ec2dde27e74c596d1157530b80c767ce42566c894553cb16a6887
+SIZE (dovecot-1.2.9.tar.gz) = 2889394
+MD5 (dovecot-1.2.9-managesieve-0.11.10.diff.gz) = 
ec5564187789d47b5896a65f3f89ba9f
+SHA256 (dovecot-1.2.9-managesieve-0.11.10.diff.gz) = 
07a292f37924332bb4ce6c27be5317afa6caa60ecac52e248110e7e1e9d434d5
+SIZE (dovecot-1.2.9-managesieve-0.11.10.diff.gz) = 6456
diff -urN dovecot.orig/pkg-plist dovecot/pkg-plist
--- dovecot.orig/pkg-plist      2009-12-17 17:49:35.000000000 -0500
+++ dovecot/pkg-plist   2010-01-04 16:17:02.000000000 -0500
@@ -94,7 +94,7 @@
 libexec/dovecot/authtest
 libexec/dovecot/checkpassword-reply
 libexec/dovecot/convert-tool
-%%LDA%%libexec/dovecot/deliver
+libexec/dovecot/deliver
 libexec/dovecot/dict
 libexec/dovecot/dovecot-auth
 libexec/dovecot/expire-tool
Comment 7 mike.jakubik 2010-01-04 21:22:42 UTC
And here is a patch that updates the "dovecot-managesieve" port, which 
is a dependency of this port when the option is enabled.


diff -urN dovecot-managesieve.orig/Makefile dovecot-managesieve/Makefile
--- dovecot-managesieve.orig/Makefile   2010-01-04 16:18:50.000000000 -0500
+++ dovecot-managesieve/Makefile        2010-01-04 16:19:08.000000000 -0500
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=      dovecot-managesieve
-PORTVERSION=   0.11.9
+PORTVERSION=   0.11.10
 CATEGORIES=    mail
 MASTER_SITES=  http://www.rename-it.nl/dovecot/${DOVECOTVERSION}/
 DISTNAME=      
${PORTNAME:C/-/-${DOVECOTVERSION}-/}-${DISTVERSIONPREFIX}${DISTVERSION:C/:(.)/\1/g}${DISTVERSIONSUFFIX}
diff -urN dovecot-managesieve.orig/distinfo dovecot-managesieve/distinfo
--- dovecot-managesieve.orig/distinfo   2010-01-04 16:18:50.000000000 -0500
+++ dovecot-managesieve/distinfo        2010-01-04 16:19:12.000000000 -0500
@@ -1,3 +1,3 @@
-MD5 (dovecot-1.2-managesieve-0.11.9.tar.gz) = 
923d4965e0b357db493f3b2cb106d8d7
-SHA256 (dovecot-1.2-managesieve-0.11.9.tar.gz) = 
9aff87fae19b2fc0e11f4b78c0b1415e1141ba3930579c46cbf912e0cda652ff
-SIZE (dovecot-1.2-managesieve-0.11.9.tar.gz) = 396242
+MD5 (dovecot-1.2-managesieve-0.11.10.tar.gz) = 
ea1e931fd0e4a8b6789a9d671a5a6676
+SHA256 (dovecot-1.2-managesieve-0.11.10.tar.gz) = 
502cd9df26f95e53e5dff79b4430050e50b849908a0cb12c6b19ae5410a15681
+SIZE (dovecot-1.2-managesieve-0.11.10.tar.gz) = 400657
Comment 8 Wesley Shields freebsd_committer 2010-01-04 21:45:17 UTC
Dear maintainers of dovecot and dovecot-manageseive,

PR ports/141727 has been updated to include new patches for your ports.
Can you please review these patches and let me know what you would like
to do with them. Thanks!

-- WXS
Comment 9 geoffroy desvernay 2010-01-04 22:14:04 UTC
Wesley Shields a écrit :
> Dear maintainers of dovecot and dovecot-manageseive,
> 
> PR ports/141727 has been updated to include new patches for your ports.
> Can you please review these patches and let me know what you would like
> to do with them. Thanks!
> 
> -- WXS

Thank you for the patches ;)

I do agree (quickly tested: compiles and worksforme)

--
Geoffroy Desvernay
Comment 10 Yarema 2010-01-25 23:58:24 UTC
Thanks all for the patches.  Please commit the attached diffs to the 
mail/dovecot, mail/dovecot-sieve and mail/dovecot-managesieve ports.

I had to add

CONFIGURE_ENV=	LDFLAGS='${LDFLAGS}'
LDFLAGS+=	-L${LOCALBASE}/lib

to the mail/dovecot-sieve port otherwise -lldap was not being found if 
selected in the main dovecot port.

Also removed LDA from OPTIONS in the main dovecot port and trashed any 
related processing of the OPTION, since it is no longer optional.

-- 
Yarema <yds@CoolRat.org>
Comment 11 dfilter service freebsd_committer 2010-01-26 14:23:29 UTC
wxs         2010-01-26 14:23:20 UTC

  FreeBSD ports repository

  Modified files:
    mail/dovecot         Makefile distinfo pkg-plist 
  Log:
  - Update to 1.2.10
  - Remove LDA option
  
  PR:             ports/141727
  Submitted by:   Mike Jakubik <mike.jakubik@intertainservices.com>
                  Yarema <yds@CoolRat.org> (maintainer)
  
  Revision  Changes    Path
  1.112     +1 -11     ports/mail/dovecot/Makefile
  1.74      +6 -6      ports/mail/dovecot/distinfo
  1.32      +2 -2      ports/mail/dovecot/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 12 dfilter service freebsd_committer 2010-01-26 14:24:45 UTC
wxs         2010-01-26 14:24:37 UTC

  FreeBSD ports repository

  Modified files:
    mail/dovecot-managesieve Makefile distinfo 
  Log:
  - Update to 0.11.11
  
  PR:             ports/141727
  Submitted by:   Mike Jakubik <mike.jakubik@intertainservices.com>
  Approved by:    Geoffroy Desvernay <dgeo@centrale-marseille.fr> (maintainer)
  
  Revision  Changes    Path
  1.10      +1 -1      ports/mail/dovecot-managesieve/Makefile
  1.8       +3 -3      ports/mail/dovecot-managesieve/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 13 dfilter service freebsd_committer 2010-01-26 14:26:00 UTC
wxs         2010-01-26 14:25:47 UTC

  FreeBSD ports repository

  Modified files:
    mail/dovecot-sieve   Makefile distinfo 
  Log:
  - Update to 0.1.15
  
  PR:             ports/141727
  Submitted by:   Mike Jakubik <mike.jakubik@intertainservices.com>
                  Yarema <yds@CoolRat.org> (maintainer)
  
  Revision  Changes    Path
  1.12      +7 -5      ports/mail/dovecot-sieve/Makefile
  1.9       +3 -3      ports/mail/dovecot-sieve/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 14 Wesley Shields freebsd_committer 2010-01-26 14:27:02 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!